crontab-argh(1)

# NAME
crontab-argh - crontab wrapper that safegaurds -r

# SYNOPSIS
*crontab-argh* [normal cron usage]

# DESCRIPTION
We've all done it, the perilous finger slip, what was intended to be an innocent
crontab -e turns into crontab -r. After you hit return, you are confused as to
why you weren't dropped into your editor, maybe your config file is bad? But no,
in horror you read the terminal and see that your user's crontab was
deleted. You swear to make better backups in the future, but you and I both know
that that will never happen. So in despair, you install crontab-argh, symlink it
to crontab, and the world is in harmony. You will never again accidentally run
crontab -r.

Some cron implementations implement a -R flag which does the same thing as this,
however it still relies on remembering to use a more inconvenient flag, and is
nonstandard.

It is recommended to symlink crontab-argh to crontab in a higher priority
directory in your $PATH, or to use a shell alias. Bear in mind that the reason
that -r still behaves in this obnoxious way is for compatibility. Using
crontab-argh may break some scripts. Only the -r flag will be intercepted,
however, and everything else gets passed on to crontab, so for the most part, it
should be fine.

# SEE ALSO
*crontab*(1), *cron*(8)

# COPYRIGHT
This is free and unencumbered software released into the public domain. For more
information, please refer to <https://unlicense.org/>.
